/ukg-payroll | Type: Application | PCID required: Yes
Tools
ukg-payroll_add_accruals
Import Accruals Information Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
US-Client-Id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
User-Agent | string | Yes | — | Populates the SourceSytem table into the PayrollPendingItemAccruals table during the import process. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"US-Client-Id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"User-Agent": {
"type": "string",
"description": "Populates the SourceSytem table into the PayrollPendingItemAccruals table during the import process."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"batchId": {
"type": "string",
"description": "A unique identifier for a batch of accruals from the source system. If no identifier is provided, the system generates a GUID number."
},
"sourceId": {
"type": "string",
"description": "A unique identifier for the accrual from the source system."
},
"coID": {
"type": "string",
"description": "The Company ID assigned to the employee. This field is required when CompanyCode is not supplied."
},
"companyCode": {
"type": "string",
"description": "The company code associated with company ID assigned to the employee. This field is required when COID is not supplied."
},
"eeID": {
"type": "string",
"description": "The employee ID associated with the employee. This field is required when EmployeeNumber or PersonId is not supplied"
},
"employeeNumber": {
"type": "string",
"description": "The employee number assigned to the employee for the EEID/COID combination. This field is required when EeId or PersonId is not supplied."
},
"accrCode": {
"type": "string",
"description": "The code for the accrual which may display on pay statement if a description is not provided. This field must be alphanumeric and upper case."
},
"accrDesc": {
"type": "string",
"description": "The description associated with accrual which displays on pay statement."
},
"currAllowed": {
"type": "number",
"format": "double",
"description": "The accrual amount earned for the pay period. This field is required when IsUnlimited is false."
},
"taken": {
"type": "number",
"format": "double",
"description": "The amount taken to date since last rollover/reset of accrual (typically year-to-date)."
},
"balanceAmount": {
"type": "number",
"format": "double",
"description": "The available balance for the accrual. This field is required when IsUnlimited is false."
},
"remaining": {
"type": "number",
"format": "double",
"description": "The amount of accrual remaining for the employee to take if maximum permitted is provided."
},
"maxPermitted": {
"type": "number",
"format": "double",
"description": "The amount of accrual allowed to be taken by the employee."
},
"pending": {
"type": "number",
"format": "double",
"description": "The pending balance for the accrual."
},
"isUnlimited": {
"type": "boolean",
"description": "A boolean identifier that indicates if the accrual is an unlimited accrual plan. If true, this displays 'Unlimited' under Balance on the pay statement."
},
"onCheck": {
"type": "boolean",
"description": "A boolean identifier that indicates if the accrual should print on the pay statement."
},
"unitOfMeasure": {
"type": "string",
"enum": [
"D",
"H"
],
"description": "Identifies if amounts provided are dollars or hours. Valid values: D = Dollars, H = Hours."
},
"accrOption": {
"type": "string",
"description": "Any option associated with accrual. If not provided, will default to first 6 characters of Source System during processing."
},
"currPending": {
"type": "number",
"format": "double",
"description": "The pending amount earned for the pay period."
},
"personId": {
"type": "string",
"description": "The Person ID associated with the employee"
}
},
"required": [
"accrCode",
"accrDesc",
"isUnlimited",
"onCheck",
"taken",
"unitOfMeasure"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"US-Client-Id",
"User-Agent",
"body"
]
}
ukg-payroll_company_pay_detail_get_pay_statement_reports_v2
Retrieve finalized pay history details from UKG Pro. This includes earnings, deductions, and tax data. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
companyId | string | No | — | Company identifier the component company of the pay statements |
endDate | string | Yes | — | Ending date for the pay period range to retrieve (inclusive) |
page | integer | No | — | The page number for pagination, starting at 1. |
pagesCount | integer | No | — | The number of pages. |
payGroup | string | No | — | Identifier for a specific group of employees with the same pay schedule |
payPeriodId | integer | No | — | Unique identifier for a specific pay period |
per_Page | integer | No | — | Number of records to return per page (1-200) |
startDate | string | Yes | — | Beginning date for the pay period range to retrieve (inclusive) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"companyId": {
"type": "string",
"description": "Company identifier the component company of the pay statements"
},
"endDate": {
"type": "string",
"description": "Ending date for the pay period range to retrieve (inclusive)"
},
"page": {
"type": "integer",
"description": "The page number for pagination, starting at 1."
},
"pagesCount": {
"type": "integer",
"description": "The number of pages."
},
"payGroup": {
"type": "string",
"description": "Identifier for a specific group of employees with the same pay schedule"
},
"payPeriodId": {
"type": "integer",
"description": "Unique identifier for a specific pay period"
},
"per_Page": {
"type": "integer",
"description": "Number of records to return per page (1-200)"
},
"startDate": {
"type": "string",
"description": "Beginning date for the pay period range to retrieve (inclusive)"
}
},
"required": [
"PCID",
"endDate",
"startDate"
]
}
ukg-payroll_create_deduction_pending_pay_item
Create Deduction Pending Pay Item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | A client-supplied GUID used for tracking the operation’s execution. |
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
comments | string | No | — | A set of notes about the earnings that you may want or need to include. |
companyCode | string | Yes | — | The company identifier: company code. |
deductionAmountEE | string | No | — | The employee deduction amount. Format must be: nnn.nn. |
deductionAmountER | string | No | — | The employer deduction amount. Format must be: nnn.nn. |
deductionCode | string | Yes | — | The deduction code, which must be a deduction with calculation rule Flat Amount and assigned to the employee or part of the employee’s deduction group. |
employeeNumber | string | Yes | — | The employee identifier: employee number. |
includeInNextPayDate | boolean | No | — | A Boolean indicator of whether or not the item is to be paid in the next payroll. If a Scheduled pay date is not provided, it will default to be included in the next payroll. |
itemStatus | string | No | — | The pending pay item status. Only statuses of ‘Pending’ or ‘Submitted’ are allowed. |
itemType | string | Yes | — | The item type of the pending pay record. The system delivered items types available to use are: ‘OnDemandPay’, ‘Giving’, ‘BenefitsInt’, ‘DeductionImport’, ‘Standard’, ‘RetroPay’, ‘StandardAPI’ and ‘EarningImport’. If it is not sent, it will default to ‘StandardAPI’. If sent and an the item type does not exist, it will automatically create a custom item type. |
scheduledPayDate | string | Yes | — | The pay date that the earning is to be paid, which is the Scheduled Pay Date for all imported earnings is Next Pay Date unless a pay date is sent. It does not need to be sent if includeInNextPayDate is true. It must be provided if includeInNextPayDate is false. If provided, it must be a pay date for a regular payroll for the employee’s pay group. If it is not a regular payroll pay date, the earning will not be paid. Format is YYYY-MM-DD. |
sourceKey | string | No | — | A uniquely identifying, user generated source key that is sent in a POST. Pass this as a query parameter in a GET to identify the record you want. |
userName | string | Yes | — | The username of the employee updating the pending pay record. If not specified, ‘Pending Pay Items API’ is used. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "A client-supplied GUID used for tracking the operation's execution."
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"comments": {
"type": "string",
"description": "A set of notes about the earnings that you may want or need to include."
},
"companyCode": {
"type": "string",
"description": "The company identifier: company code."
},
"deductionAmountEE": {
"type": "string",
"description": "The employee deduction amount. Format must be: nnn.nn."
},
"deductionAmountER": {
"type": "string",
"description": "The employer deduction amount. Format must be: nnn.nn."
},
"deductionCode": {
"type": "string",
"description": "The deduction code, which must be a deduction with calculation rule `Flat Amount` and assigned to the employee or part of the employee's deduction group."
},
"employeeNumber": {
"type": "string",
"description": "The employee identifier: employee number."
},
"includeInNextPayDate": {
"type": "boolean",
"description": "A Boolean indicator of whether or not the item is to be paid in the next payroll. If a Scheduled pay date is not provided, it will default to be included in the next payroll."
},
"itemStatus": {
"type": "string",
"description": "The pending pay item status. Only statuses of 'Pending' or 'Submitted' are allowed."
},
"itemType": {
"type": "string",
"description": "The item type of the pending pay record. The system delivered items types available to use are: 'OnDemandPay', 'Giving', 'BenefitsInt', 'DeductionImport', 'Standard', 'RetroPay', 'StandardAPI' and 'EarningImport'. If it is not sent, it will default to 'StandardAPI'. If sent and an the item type does not exist, it will automatically create a custom item type."
},
"scheduledPayDate": {
"type": "string",
"description": "The pay date that the earning is to be paid, which is the Scheduled Pay Date for all imported earnings is Next Pay Date unless a pay date is sent. It does not need to be sent if `includeInNextPayDate` is true. It must be provided if `includeInNextPayDate` is false. If provided, it must be a pay date for a regular payroll for the employee's pay group. If it is not a regular payroll pay date, the earning will not be paid. Format is YYYY-MM-DD."
},
"sourceKey": {
"type": "string",
"description": "A uniquely identifying, user generated source key that is sent in a POST. Pass this as a query parameter in a GET to identify the record you want."
},
"userName": {
"type": "string",
"description": "The username of the employee updating the pending pay record. If not specified, 'Pending Pay Items API' is used."
}
},
"required": [
"PCID",
"X-Correlation-Id",
"us-client-id",
"companyCode",
"deductionCode",
"employeeNumber",
"itemType",
"scheduledPayDate",
"userName"
]
}
ukg-payroll_create_earnings_pending_pay_item
Create Earnings Pending Pay Item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | A client-supplied GUID used for tracking the operation’s execution. |
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
comments | string | No | — | A set of notes about the earnings that you may want or need to include. |
companyCode | string | Yes | — | The company identifier: company code. |
earnAmount | string | No | — | The earning amount. Format should be: nnn.nn. |
earnCode | string | Yes | — | The earning code, which must be an earning with a Flat Amount, Flat Amount Track Hours or some related hours based (that is, hours x rate x rate factor) calculation rule. |
earnHours | string | No | — | Earning hours. Format should be: nnn.nn. |
employeeNumber | string | Yes | — | The employee identifier: employee number. |
includeInNextPayDate | boolean | No | — | A Boolean indicator of whether or not the item is to be paid in the next payroll. If a Scheduled pay date is not provided, it will default to be included in the next payroll. |
itemStatus | string | No | — | The pending pay item status. Only statuses of ‘Pending’ or ‘Submitted’ are allowed. |
itemType | string | Yes | — | The item type of the pending pay record. The system delivered items types available to use are: ‘OnDemandPay’, ‘Giving’, ‘BenefitsInt’, ‘DeductionImport’, ‘Standard’, ‘RetroPay’, ‘StandardAPI’ and ‘EarningImport’. If it is not sent, it will default to ‘StandardAPI’. If sent and an the item type does not exist, it will automatically create a custom item type. |
scheduledPayDate | string | Yes | — | The pay date that the earning is to be taken. The Scheduled Pay Date for all imported earnings is Next Pay Date unless a pay date is sent. It does not need to be sent if includeInNextPayDate is true. It must be provided if includeInNextPayDate is false. If provided, it must be a pay date for a regular payroll for the employee’s pay group. If it is not a regular payroll pay date, the earning will not be taken. Format is YYYY-MM-DD. |
sourceKey | string | No | — | A uniquely identifying, user generated source key that is sent in a POST. Pass this as a query parameter in a GET to identify the record you want. |
userName | string | Yes | — | The username of the employee updating the pending pay record. If not provided, ‘Pending Pay Items API’ will be used. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "A client-supplied GUID used for tracking the operation's execution."
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"comments": {
"type": "string",
"description": "A set of notes about the earnings that you may want or need to include."
},
"companyCode": {
"type": "string",
"description": "The company identifier: company code."
},
"earnAmount": {
"type": "string",
"description": "The earning amount. Format should be: nnn.nn."
},
"earnCode": {
"type": "string",
"description": "The earning code, which must be an earning with a Flat Amount, Flat Amount Track Hours or some related hours based (that is, hours x rate x rate factor) calculation rule."
},
"earnHours": {
"type": "string",
"description": "Earning hours. Format should be: nnn.nn."
},
"employeeNumber": {
"type": "string",
"description": "The employee identifier: employee number."
},
"includeInNextPayDate": {
"type": "boolean",
"description": "A Boolean indicator of whether or not the item is to be paid in the next payroll. If a Scheduled pay date is not provided, it will default to be included in the next payroll."
},
"itemStatus": {
"type": "string",
"description": "The pending pay item status. Only statuses of 'Pending' or 'Submitted' are allowed."
},
"itemType": {
"type": "string",
"description": "The item type of the pending pay record. The system delivered items types available to use are: 'OnDemandPay', 'Giving', 'BenefitsInt', 'DeductionImport', 'Standard', 'RetroPay', 'StandardAPI' and 'EarningImport'. If it is not sent, it will default to 'StandardAPI'. If sent and an the item type does not exist, it will automatically create a custom item type."
},
"scheduledPayDate": {
"type": "string",
"description": "The pay date that the earning is to be taken. The Scheduled Pay Date for all imported earnings is Next Pay Date unless a pay date is sent. It does not need to be sent if `includeInNextPayDate` is true. It must be provided if `includeInNextPayDate` is false. If provided, it must be a pay date for a regular payroll for the employee's pay group. If it is not a regular payroll pay date, the earning will not be taken. Format is YYYY-MM-DD."
},
"sourceKey": {
"type": "string",
"description": "A uniquely identifying, user generated source key that is sent in a POST. Pass this as a query parameter in a GET to identify the record you want."
},
"userName": {
"type": "string",
"description": "The username of the employee updating the pending pay record. If not provided, 'Pending Pay Items API' will be used."
}
},
"required": [
"PCID",
"X-Correlation-Id",
"us-client-id",
"companyCode",
"earnCode",
"employeeNumber",
"itemType",
"scheduledPayDate",
"userName"
]
}
ukg-payroll_deductions_history_get
Get Payroll Deductions History Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
employeeId | string | No | — | Employee Id |
companyId | string | No | — | Company Id |
checkId | string | No | — | Check Id |
employeeNumber | string | No | — | Employee Number |
deductionCode | string | No | — | Deduction Code |
deductionType | string | No | — | Deduction Type |
benefitOption | string | No | — | Benefit Option |
benefitProvider | string | No | — | Benefit Provider |
payGroup | string | No | — | Pay Group |
periodControl | string | No | — | Period Control |
payDate | string | No | — | Pay Date |
is401K | string | No | — | Is401 K |
is403B | string | No | — | Is403 B |
is408K | string | No | — | Is408 K |
is408P | string | No | — | Is408 P |
is457 | string | No | — | The is457 value |
is457B | string | No | — | Is457 B |
is457F | string | No | — | Is457 F |
is501C | string | No | — | Is501 C |
isD125 | string | No | — | Is D125 |
isDeductionOffSet | string | No | — | Is Deduction Off Set |
isDeferredCompensation | string | No | — | Is Deferred Compensation |
isDependentCare | string | No | — | Is Dependent Care |
isHousing | string | No | — | Is Housing |
isNonQualifiedPlan | string | No | — | Is Non Qualified Plan |
startPerControl | string | No | — | Start Per Control |
endPerControl | string | No | — | End Per Control |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"employeeId": {
"type": "string",
"description": "Employee Id"
},
"companyId": {
"type": "string",
"description": "Company Id"
},
"checkId": {
"type": "string",
"description": "Check Id"
},
"employeeNumber": {
"type": "string",
"description": "Employee Number"
},
"deductionCode": {
"type": "string",
"description": "Deduction Code"
},
"deductionType": {
"type": "string",
"description": "Deduction Type"
},
"benefitOption": {
"type": "string",
"description": "Benefit Option"
},
"benefitProvider": {
"type": "string",
"description": "Benefit Provider"
},
"payGroup": {
"type": "string",
"description": "Pay Group"
},
"periodControl": {
"type": "string",
"description": "Period Control"
},
"payDate": {
"type": "string",
"description": "Pay Date"
},
"is401K": {
"type": "string",
"description": "Is401 K"
},
"is403B": {
"type": "string",
"description": "Is403 B"
},
"is408K": {
"type": "string",
"description": "Is408 K"
},
"is408P": {
"type": "string",
"description": "Is408 P"
},
"is457": {
"type": "string",
"description": "The is457 value"
},
"is457B": {
"type": "string",
"description": "Is457 B"
},
"is457F": {
"type": "string",
"description": "Is457 F"
},
"is501C": {
"type": "string",
"description": "Is501 C"
},
"isD125": {
"type": "string",
"description": "Is D125"
},
"isDeductionOffSet": {
"type": "string",
"description": "Is Deduction Off Set"
},
"isDeferredCompensation": {
"type": "string",
"description": "Is Deferred Compensation"
},
"isDependentCare": {
"type": "string",
"description": "Is Dependent Care"
},
"isHousing": {
"type": "string",
"description": "Is Housing"
},
"isNonQualifiedPlan": {
"type": "string",
"description": "Is Non Qualified Plan"
},
"startPerControl": {
"type": "string",
"description": "Start Per Control"
},
"endPerControl": {
"type": "string",
"description": "End Per Control"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-payroll_delete_accrual_by_batch_id
Delete Accrual by Batch ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
US-Client-Id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
User-Agent | string | Yes | — | Populates the SourceSytem table into the PayrollPendingItemAccruals table during the import process. |
batchId | string | Yes | — | Identifier for a batch of accruals. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"US-Client-Id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"User-Agent": {
"type": "string",
"description": "Populates the SourceSytem table into the PayrollPendingItemAccruals table during the import process."
},
"batchId": {
"type": "string",
"description": "Identifier for a batch of accruals."
}
},
"required": [
"PCID",
"US-Client-Id",
"User-Agent",
"batchId"
]
}
ukg-payroll_delete_accrual_by_batch_id_and_source_id
Delete Accrual by Batch ID and Source ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
US-Client-Id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
User-Agent | string | Yes | — | Populates the SourceSytem table into the PayrollPendingItemAccruals table during the import process. |
batchId | string | Yes | — | A unique identifier for a batch of accruals. |
sourceId | string | Yes | — | A unique identifier for accrual from source system. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"US-Client-Id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"User-Agent": {
"type": "string",
"description": "Populates the SourceSytem table into the PayrollPendingItemAccruals table during the import process."
},
"batchId": {
"type": "string",
"description": "A unique identifier for a batch of accruals."
},
"sourceId": {
"type": "string",
"description": "A unique identifier for accrual from source system."
}
},
"required": [
"PCID",
"US-Client-Id",
"User-Agent",
"batchId",
"sourceId"
]
}
ukg-payroll_delete_deduction_pending_pay_item
Delete Deduction Pending Pay Item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The Pending Pay Item ID. |
X-Correlation-Id | string | Yes | — | A client-supplied GUID used for tracking the operation’s execution. |
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The Pending Pay Item ID."
},
"X-Correlation-Id": {
"type": "string",
"description": "A client-supplied GUID used for tracking the operation's execution."
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
}
},
"required": [
"PCID",
"id",
"X-Correlation-Id",
"us-client-id"
]
}
ukg-payroll_delete_earnings_pending_pay_item
Delete Earnings Pending Pay Item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The Pending Pay Item ID. |
X-Correlation-Id | string | Yes | — | A client-supplied GUID used for tracking the operation’s execution. |
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The Pending Pay Item ID."
},
"X-Correlation-Id": {
"type": "string",
"description": "A client-supplied GUID used for tracking the operation's execution."
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
}
},
"required": [
"PCID",
"id",
"X-Correlation-Id",
"us-client-id"
]
}
ukg-payroll_delete_services_payroll_v1_import_pay_items_earnings_ref_id
Delete Earning by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
x-correlation-id | string | No | — | A client-supplied GUID used for tracking the operation’s execution. |
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
refId | string | Yes | — | A unique identifier associated with an earning. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"x-correlation-id": {
"type": "string",
"description": "A client-supplied GUID used for tracking the operation's execution."
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"refId": {
"type": "string",
"description": "A unique identifier associated with an earning."
}
},
"required": [
"PCID",
"us-client-id",
"refId"
]
}
ukg-payroll_earnings_history_get_ins_rate
Get Earnings History Base Elements Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
companyID | string | No | — | Company ID |
earningCode | string | No | — | Earning Code |
employeeID | string | No | — | Employee ID |
employeeNumber | string | No | — | Employee Number |
payDate | string | No | — | Pay Date |
payGroup | string | No | — | Pay Group |
periodControl | string | No | — | Period Control |
startPerControl | string | No | — | Start Per Control |
endPerControl | string | No | — | End Per Control |
includeInDeferredCompensation | boolean | No | — | Include In Deferred Compensation |
includeInDeferredCompensationHours | boolean | No | — | Include In Deferred Compensation Hours |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"companyID": {
"type": "string",
"description": "Company ID"
},
"earningCode": {
"type": "string",
"description": "Earning Code"
},
"employeeID": {
"type": "string",
"description": "Employee ID"
},
"employeeNumber": {
"type": "string",
"description": "Employee Number"
},
"payDate": {
"type": "string",
"description": "Pay Date"
},
"payGroup": {
"type": "string",
"description": "Pay Group"
},
"periodControl": {
"type": "string",
"description": "Period Control"
},
"startPerControl": {
"type": "string",
"description": "Start Per Control"
},
"endPerControl": {
"type": "string",
"description": "End Per Control"
},
"includeInDeferredCompensation": {
"type": "boolean",
"description": "Include In Deferred Compensation"
},
"includeInDeferredCompensationHours": {
"type": "boolean",
"description": "Include In Deferred Compensation Hours"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-payroll_general_ledger_run_details_v2_get
Retrieve General Ledger Runs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
runId | string | No | — | Run Id |
blockId | string | No | — | Block Id |
mostRecent | string | No | — | Most Recent |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"runId": {
"type": "string",
"description": "Run Id"
},
"blockId": {
"type": "string",
"description": "Block Id"
},
"mostRecent": {
"type": "string",
"description": "Most Recent"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-payroll_general_ledger_run_details_v2_get_by_run_id
Retrieve General Ledger Run by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
runId | string | Yes | — | Run Id |
blockId | string | No | — | Block Id |
mostRecent | string | No | — | Most Recent |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"runId": {
"type": "string",
"description": "Run Id"
},
"blockId": {
"type": "string",
"description": "Block Id"
},
"mostRecent": {
"type": "string",
"description": "Most Recent"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID",
"runId"
]
}
ukg-payroll_get_activities
Obtains all activities. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"wbat"
]
}
ukg-payroll_get_assigned_holidays
Obtains all assigned holidays. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
emp_name | string | No | — | Emp Name |
emp_id | integer | No | — | Emp Id |
from | string | Yes | — | Start range for holidays |
to | string | Yes | — | End range for holidays |
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"emp_name": {
"type": "string",
"description": "Emp Name"
},
"emp_id": {
"type": "integer",
"description": "Emp Id"
},
"from": {
"type": "string",
"description": "Start range for holidays"
},
"to": {
"type": "string",
"description": "End range for holidays"
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"from",
"to",
"wbat"
]
}
ukg-payroll_get_clock_pending_transactions
Get pending clock transactions. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
emp_name | string | No | — | Employee can be specified by their emp_name or emp_id. At least one parameter must be specified. |
emp_id | integer | No | — | Employee can be specified by their emp_name or emp_id. At least one parameter must be specified. |
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"emp_name": {
"type": "string",
"description": "Employee can be specified by their emp_name or emp_id. At least one parameter must be specified."
},
"emp_id": {
"type": "integer",
"description": "Employee can be specified by their emp_name or emp_id. At least one parameter must be specified."
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"wbat"
]
}
ukg-payroll_get_clock_transactions
Get processed clock transactions. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
emp_name | string | No | — | Employee can be specified by their emp_name or emp_id. At least one parameter must be specified. |
emp_id | integer | No | — | Employee can be specified by their emp_name or emp_id. At least one parameter must be specified. |
date | string | Yes | — | Date of clock transaction |
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"emp_name": {
"type": "string",
"description": "Employee can be specified by their emp_name or emp_id. At least one parameter must be specified."
},
"emp_id": {
"type": "integer",
"description": "Employee can be specified by their emp_name or emp_id. At least one parameter must be specified."
},
"date": {
"type": "string",
"description": "Date of clock transaction"
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"date",
"wbat"
]
}
ukg-payroll_get_current_user
Obtains the current user information. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"wbat"
]
}
ukg-payroll_get_employee_jobs
Obtains all jobs for an employee. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
emp_name | string | No | — | Emp Name |
emp_id | integer | No | — | Emp Id |
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"emp_name": {
"type": "string",
"description": "Emp Name"
},
"emp_id": {
"type": "integer",
"description": "Emp Id"
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"wbat"
]
}
ukg-payroll_get_employees
Obtains all employees. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
index | integer | No | — | Index when paging is to be used. |
max | integer | No | — | Max elements per page |
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"index": {
"type": "integer",
"description": "Index when paging is to be used."
},
"max": {
"type": "integer",
"description": "Max elements per page"
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"wbat"
]
}
ukg-payroll_get_hour_types
Obtains all hour types. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"wbat"
]
}
ukg-payroll_get_services_payroll_v1_import_pay_items_earnings_ref_id
Retrieve Earning by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
x-correlation-id | string | No | — | A client-supplied GUID used for tracking the operation’s execution. |
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
refId | string | Yes | — | A unique identifier associated with an earning. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"x-correlation-id": {
"type": "string",
"description": "A client-supplied GUID used for tracking the operation's execution."
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"refId": {
"type": "string",
"description": "A unique identifier associated with an earning."
}
},
"required": [
"PCID",
"us-client-id",
"refId"
]
}
ukg-payroll_get_services_ws_mob_simpleschedule_coid_employees_eeid
Obtains a UTA Employee by coId and eeId. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
coid | string | Yes | — | coid of employee. |
eeid | string | Yes | — | eeid of employee. |
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"coid": {
"type": "string",
"description": "coid of employee."
},
"eeid": {
"type": "string",
"description": "eeid of employee."
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"coid",
"eeid",
"wbat"
]
}
ukg-payroll_get_teams
Obtains all teams. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
index | integer | No | — | Index when paging is to be used. |
max | integer | No | — | Max elements per page |
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"index": {
"type": "integer",
"description": "Index when paging is to be used."
},
"max": {
"type": "integer",
"description": "Max elements per page"
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"wbat"
]
}
ukg-payroll_get_time_codes
Obtains all time codes. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"wbat"
]
}
ukg-payroll_get_time_off_requests
Obtains all time off requests. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
emp_name | string | No | — | Emp Name |
emp_id | integer | No | — | Emp Id |
from | string | Yes | — | Start range for requests |
to | string | Yes | — | End range for requests |
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"emp_name": {
"type": "string",
"description": "Emp Name"
},
"emp_id": {
"type": "integer",
"description": "Emp Id"
},
"from": {
"type": "string",
"description": "Start range for requests"
},
"to": {
"type": "string",
"description": "End range for requests"
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"from",
"to",
"wbat"
]
}
ukg-payroll_get_v1_companies_company_id_direct_deposit
Get list of direct deposit details for US and Canadian employees by company Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
companyId | string | Yes | — | Company Id |
accountIsInactive | string | No | — | Account Is Inactive |
employeeId | string | No | — | Employee Id |
employeeBankRoutingNumber | string | No | — | Employee Bank Routing Number |
countryCode | string | No | — | Country Code |
dateTimeChanged | string | No | — | Used to find direct deposit record changed date less than, greater than, equal to, or between passed date(s) |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"companyId": {
"type": "string",
"description": "Company Id"
},
"accountIsInactive": {
"type": "string",
"description": "Account Is Inactive"
},
"employeeId": {
"type": "string",
"description": "Employee Id"
},
"employeeBankRoutingNumber": {
"type": "string",
"description": "Employee Bank Routing Number"
},
"countryCode": {
"type": "string",
"description": "Country Code"
},
"dateTimeChanged": {
"type": "string",
"description": "Used to find direct deposit record changed date less than, greater than, equal to, or between passed date(s)"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID",
"companyId"
]
}
ukg-payroll_get_v1_direct_deposit
Get list of direct deposit details for US and Canadian employees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
accountIsInactive | string | No | — | Account Is Inactive |
employeeId | string | No | — | Employee Id |
companyId | string | No | — | Company Id |
employeeBankRoutingNumber | string | No | — | Employee Bank Routing Number |
countryCode | string | No | — | Country Code |
dateTimeChanged | string | No | — | Used to find direct deposit record changed date less than, greater than, equal to, or between passed date(s) |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"accountIsInactive": {
"type": "string",
"description": "Account Is Inactive"
},
"employeeId": {
"type": "string",
"description": "Employee Id"
},
"companyId": {
"type": "string",
"description": "Company Id"
},
"employeeBankRoutingNumber": {
"type": "string",
"description": "Employee Bank Routing Number"
},
"countryCode": {
"type": "string",
"description": "Country Code"
},
"dateTimeChanged": {
"type": "string",
"description": "Used to find direct deposit record changed date less than, greater than, equal to, or between passed date(s)"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-payroll_get_v1_employees_pay_statement_pay_identifier
Get employee pay statement based on the given pay identifier. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
PayIdentifier | string | Yes | — | Pay Identifier |
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"PayIdentifier": {
"type": "string",
"description": "Pay Identifier"
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
}
},
"required": [
"PCID",
"PayIdentifier",
"us-client-id"
]
}
ukg-payroll_get_work_summaries
Obtain work summaries. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
emp_name | string | No | — | Employee can be specified by their emp_name or emp_id. At least one parameter must be specified. |
emp_id | integer | No | — | Employee can be specified by their emp_name or emp_id. At least one parameter must be specified. |
from | string | Yes | — | Start range for work summaries |
to | string | Yes | — | End range for work summaries |
full | boolean | No | — | Specifies if both clock and work detail data should be loaded |
authStatus | boolean | No | — | If specified will load only work summaries with Authorized status equal to true or false |
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"emp_name": {
"type": "string",
"description": "Employee can be specified by their emp_name or emp_id. At least one parameter must be specified."
},
"emp_id": {
"type": "integer",
"description": "Employee can be specified by their emp_name or emp_id. At least one parameter must be specified."
},
"from": {
"type": "string",
"description": "Start range for work summaries"
},
"to": {
"type": "string",
"description": "End range for work summaries"
},
"full": {
"type": "boolean",
"description": "Specifies if both clock and work detail data should be loaded"
},
"authStatus": {
"type": "boolean",
"description": "If specified will load only work summaries with Authorized status equal to true or false"
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"from",
"to",
"wbat"
]
}
ukg-payroll_get_work_summary
Obtain a work summary. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workSummaryId | integer | Yes | — | Work Summary id |
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workSummaryId": {
"type": "integer",
"description": "Work Summary id"
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
}
},
"required": [
"PCID",
"workSummaryId",
"wbat"
]
}
ukg-payroll_pay_group_pay_period_get_pay_group_pay_period
Get PayGroup PayPeriods Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
payDateSeq | integer | No | — | Pay Date Seq |
periodEndDate | string | No | — | Period End Date |
periodStartDate | string | No | — | Period Start Date |
payGroup | string | No | — | Pay Group |
payDate | string | No | — | Pay Date |
startPerControl | string | No | — | Start Per Control |
endPerControl | string | No | — | End Per Control |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"payDateSeq": {
"type": "integer",
"description": "Pay Date Seq"
},
"periodEndDate": {
"type": "string",
"description": "Period End Date"
},
"periodStartDate": {
"type": "string",
"description": "Period Start Date"
},
"payGroup": {
"type": "string",
"description": "Pay Group"
},
"payDate": {
"type": "string",
"description": "Pay Date"
},
"startPerControl": {
"type": "string",
"description": "Start Per Control"
},
"endPerControl": {
"type": "string",
"description": "End Per Control"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-payroll_pay_register_get
Get Pay Register Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
employeeId | string | No | — | Employee Id |
companyId | string | No | — | Company Id |
checkId | string | No | — | Check Id |
employeeNumber | string | No | — | Employee Number |
documentNumber | string | No | — | Document Number |
payGroup | string | No | — | Pay Group |
periodControl | string | No | — | Period Control |
payDate | string | No | — | Pay Date |
periodEndDate | string | No | — | Period End Date |
periodStartDate | string | No | — | Period Start Date |
page | integer | No | — | Page number for pagination |
per_Page | integer | No | — | Number of results per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"employeeId": {
"type": "string",
"description": "Employee Id"
},
"companyId": {
"type": "string",
"description": "Company Id"
},
"checkId": {
"type": "string",
"description": "Check Id"
},
"employeeNumber": {
"type": "string",
"description": "Employee Number"
},
"documentNumber": {
"type": "string",
"description": "Document Number"
},
"payGroup": {
"type": "string",
"description": "Pay Group"
},
"periodControl": {
"type": "string",
"description": "Period Control"
},
"payDate": {
"type": "string",
"description": "Pay Date"
},
"periodEndDate": {
"type": "string",
"description": "Period End Date"
},
"periodStartDate": {
"type": "string",
"description": "Period Start Date"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
}
},
"required": [
"PCID"
]
}
ukg-payroll_post_services_payroll_v1_import_pay_items_earnings
Import Earnings for Payroll Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
x-correlation-id | string | Yes | — | A client-supplied GUID used for tracking the operation’s execution. |
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
failAllOnRequest | boolean | No | — | A Boolean indicator of whether or not the entire request fails if any errors are present. When false, valid earnings are staged for import even when errors are present in the request payload. |
earnings | object[] | No | — | The earnings value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"x-correlation-id": {
"type": "string",
"description": "A client-supplied GUID used for tracking the operation's execution."
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"failAllOnRequest": {
"type": "boolean",
"description": "A Boolean indicator of whether or not the entire request fails if any errors are present. When false, valid earnings are staged for import even when errors are present in the request payload."
},
"earnings": {
"type": "array",
"items": {
"type": "object",
"properties": {
"refId": {
"type": "string",
"format": "uuid",
"description": "A unique identifier associated with an earning."
},
"companyCode": {
"type": "string",
"description": "The company code associated with an employee."
},
"empNo": {
"type": "string",
"description": "The employee number associated with an employee."
},
"chargeDate": {
"type": "string",
"format": "date-time",
"description": "The date associated with the earning. Formatting must conform to ISO 8601 UTC format (yyyy-mm-ddThh:mm:ss.sssZ)."
},
"code": {
"type": "string",
"description": "A code associated with an earning."
},
"hours": {
"type": "string",
"format": "number",
"description": "The number of hours associated with earnings, if appropriate. The number supports up to 6 decimal places. Positive and negative values are allowed."
},
"amount": {
"type": "string",
"format": "number",
"description": "The amount associated with earnings, if appropriate. Positive and negative values are allowed."
},
"pieceCount": {
"type": "string",
"format": "number",
"description": "The number of pieces associated with earnings, if appropriate. Positive and negative values are allowed."
},
"shiftCode": {
"type": "string",
"description": "The shift code."
},
"location": {
"type": "string",
"description": "The location."
},
"job": {
"type": "string",
"description": "The job code."
},
"project": {
"type": "string",
"description": "The project code or value."
},
"orgLvl1": {
"type": "string",
"description": "The organization level 1 code."
},
"orgLvl2": {
"type": "string",
"description": "The organization level 2 code."
},
"orgLvl3": {
"type": "string",
"description": "The organization level 3 code."
},
"orgLvl4": {
"type": "string",
"description": "The organization level 4 code."
},
"payRate": {
"type": "string",
"format": "number",
"description": "The pay rate. The value passed here overrides the pay rate in UKG Pro. The number supports up to 4 decimal places. If you pass a value greater than 4 decimal places, it will be truncated to 4 decimal places."
},
"pieceRate": {
"type": "string",
"format": "number",
"description": "The piece rate. The value passed here overrides the piece rate in UKG Pro."
},
"roePayDate": {
"type": "string",
"format": "date-time",
"description": "The Record of Employment pay date. The date passed must be a valid pay date. Formatting must conform to ISO 8601 UTC format (yyyy-mm-ddThh:mm:ss.sssZ)."
},
"adjEarnPeriodStartDate": {
"type": "string",
"format": "date-time",
"description": "The adjusted earnings period start date associated with the earning. If passed, the adjusted earnings period end date must also be provided. Formatting must conform to ISO 8601 UTC format (yyyy-mm-ddThh:mm:ss.sssZ)."
},
"adjEarnPeriodEndDate": {
"type": "string",
"format": "date-time",
"description": "The adjusted earnings period end date associated with the earning. If passed, the adjusted earnings period start date must also be provided. Formatting must conform to ISO 8601 UTC format (yyyy-mm-ddThh:mm:ss.sssZ)."
},
"checkSequence": {
"type": "integer",
"description": "A sequence of multiple checks for a single employee."
},
"createPayType": {
"type": "string",
"description": "The create pay type. * R - Creates a Regular Pay check. * A - Creates an additional direct deposit with deductions (for employees with existing DD setups). * D - Creates an additional direct deposit with no deductions (for employees with existing DD setups). * B - Creates an additional pay with deductions; this creates a live check for the employees. * J - Creates an additional pay with no deductions; this creates a live check for the employees."
},
"forcePayCreation": {
"type": "string",
"description": "To force the creation of an additional pay, set this to Y."
},
"grossUp": {
"type": "string",
"description": "This identifies if an earning is to be grossed up."
},
"grossUpTarget": {
"type": "integer",
"description": "The specified net amount."
},
"grossUpTaxCalcMethod": {
"type": "integer",
"format": "int32",
"description": "The Gross Up Tax Calculation Method, which is a numeric value used to identify which taxes to include in the gross up calculation."
},
"source": {
"type": "string",
"description": "The source of the data, which is usually an alias of the system sending the data."
}
},
"required": [
"refId",
"companyCode",
"empNo",
"code",
"source",
"chargeDate"
]
},
"description": "The earnings value"
}
},
"required": [
"PCID",
"x-correlation-id",
"us-client-id"
]
}
ukg-payroll_post_v1_companies_pay_statements
Get employee(s) pay statement(s) for a company or pay group for a given date range. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
companyId | string | No | — | Company Id |
endDate | string | Yes | — | End date for filtering |
page | integer | No | — | Page number for pagination |
pagesCount | integer | No | — | Pages Count |
payGroup | string | No | — | Pay Group |
per_Page | integer | No | — | Number of results per page |
startDate | string | Yes | — | Start date for filtering |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"companyId": {
"type": "string",
"description": "Company Id"
},
"endDate": {
"type": "string",
"description": "End date for filtering"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"pagesCount": {
"type": "integer",
"description": "Pages Count"
},
"payGroup": {
"type": "string",
"description": "Pay Group"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
},
"startDate": {
"type": "string",
"description": "Start date for filtering"
}
},
"required": [
"PCID",
"us-client-id",
"endDate",
"startDate"
]
}
ukg-payroll_post_v1_companies_pay_statements_summary
Get employee(s) pay statement(s) summary for a company or pay group for a given date range. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
companyId | string | No | — | Company Id |
endDate | string | Yes | — | End date for filtering |
page | integer | No | — | Page number for pagination |
pagesCount | integer | No | — | Pages Count |
payGroup | string | No | — | Pay Group |
per_Page | integer | No | — | Number of results per page |
startDate | string | Yes | — | Start date for filtering |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"companyId": {
"type": "string",
"description": "Company Id"
},
"endDate": {
"type": "string",
"description": "End date for filtering"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"pagesCount": {
"type": "integer",
"description": "Pages Count"
},
"payGroup": {
"type": "string",
"description": "Pay Group"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
},
"startDate": {
"type": "string",
"description": "Start date for filtering"
}
},
"required": [
"PCID",
"us-client-id",
"endDate",
"startDate"
]
}
ukg-payroll_post_v1_employees_pay_statement_last
Get employee last pay statement based on the passed employee identifier. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
employeeIdentifier | object | No | — | Employee Identifier |
endDate | string | No | — | End date for filtering |
page | integer | No | — | Page number for pagination |
pagesCount | integer | No | — | Pages Count |
per_Page | integer | No | — | Number of results per page |
startDate | string | No | — | Start date for filtering |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"employeeIdentifier": {
"type": "object",
"description": "Employee Identifier",
"properties": {
"companyCode": {
"type": "string",
"description": "Company Code"
},
"employeeNumber": {
"type": "string",
"description": "Employee Number"
},
"eeid": {
"type": "string",
"description": "The eeid value"
},
"coid": {
"type": "string",
"description": "The coid value"
}
}
},
"endDate": {
"type": "string",
"description": "End date for filtering"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"pagesCount": {
"type": "integer",
"description": "Pages Count"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
},
"startDate": {
"type": "string",
"description": "Start date for filtering"
}
},
"required": [
"PCID",
"us-client-id"
]
}
ukg-payroll_post_v1_employees_pay_statements
Get employee pay statement(s) based on the passed employee identifier for a given date range. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
employeeIdentifier | object | No | — | Employee Identifier |
endDate | string | No | — | End date for filtering |
page | integer | No | — | Page number for pagination |
pagesCount | integer | No | — | Pages Count |
per_Page | integer | No | — | Number of results per page |
startDate | string | No | — | Start date for filtering |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"employeeIdentifier": {
"type": "object",
"description": "Employee Identifier",
"properties": {
"companyCode": {
"type": "string",
"description": "Company Code"
},
"employeeNumber": {
"type": "string",
"description": "Employee Number"
},
"eeid": {
"type": "string",
"description": "The eeid value"
},
"coid": {
"type": "string",
"description": "The coid value"
}
}
},
"endDate": {
"type": "string",
"description": "End date for filtering"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"pagesCount": {
"type": "integer",
"description": "Pages Count"
},
"per_Page": {
"type": "integer",
"description": "Number of results per page"
},
"startDate": {
"type": "string",
"description": "Start date for filtering"
}
},
"required": [
"PCID",
"us-client-id"
]
}
ukg-payroll_put_schedule_details
Publish schedule details. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wbat | string | Yes | — | The wbat header required for authorization in subsequent requests. |
comment | string | No | — | The comment value |
scheduleDetails | object[] | No | — | Schedule Details |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wbat": {
"type": "string",
"description": "The `wbat` header required for authorization in subsequent requests."
},
"comment": {
"type": "string",
"description": "The comment value"
},
"scheduleDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"operation": {
"type": "string",
"description": "The operation value"
},
"empName": {
"type": "string",
"description": "Emp Name"
},
"skdDate": {
"type": "string",
"format": "date-time",
"description": "Skd Date"
},
"skdStartTime": {
"type": "string",
"format": "date-time",
"description": "Skd Start Time"
},
"skdEndTime": {
"type": "string",
"format": "date-time",
"description": "Skd End Time"
},
"wbtName": {
"type": "string",
"description": "Wbt Name"
},
"jobName": {
"type": "string",
"description": "Job Name"
},
"tcodeName": {
"type": "string",
"description": "Tcode Name"
},
"htypeName": {
"type": "string",
"description": "Htype Name"
},
"actName": {
"type": "string",
"description": "Act Name"
}
}
},
"description": "Schedule Details"
}
},
"required": [
"PCID",
"wbat"
]
}
ukg-payroll_retrieve_deduction_pending_pay_item_by_id
Retrieve Deduction Pending Pay Item by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The Pending Pay Item ID. |
X-Correlation-Id | string | Yes | — | A client-supplied GUID used for tracking the operation’s execution. |
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The Pending Pay Item ID."
},
"X-Correlation-Id": {
"type": "string",
"description": "A client-supplied GUID used for tracking the operation's execution."
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
}
},
"required": [
"PCID",
"id",
"X-Correlation-Id",
"us-client-id"
]
}
ukg-payroll_retrieve_deduction_pending_pay_item_by_source_key
Retrieve Deduction Pending Pay Item by Source Key Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sourcekey | string | Yes | — | The source key. |
X-Correlation-Id | string | Yes | — | A client-supplied GUID used for tracking the operation’s execution. |
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sourcekey": {
"type": "string",
"description": "The source key."
},
"X-Correlation-Id": {
"type": "string",
"description": "A client-supplied GUID used for tracking the operation's execution."
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
}
},
"required": [
"PCID",
"sourcekey",
"X-Correlation-Id",
"us-client-id"
]
}
ukg-payroll_retrieve_earnings_pending_pay_item_by_id
Retrieve Earnings Pending Pay Item by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The Pending Pay Item ID. |
X-Correlation-Id | string | Yes | — | A client-supplied GUID used for tracking the operation’s execution. |
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The Pending Pay Item ID."
},
"X-Correlation-Id": {
"type": "string",
"description": "A client-supplied GUID used for tracking the operation's execution."
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
}
},
"required": [
"PCID",
"id",
"X-Correlation-Id",
"us-client-id"
]
}
ukg-payroll_retrieve_earnings_pending_pay_item_by_source_key
Retrieve Earnings Pending Pay Item by Source Key Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
X-Correlation-Id | string | Yes | — | A client-supplied GUID used for tracking the operation’s execution. |
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
sourcekey | string | Yes | — | The source key. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"X-Correlation-Id": {
"type": "string",
"description": "A client-supplied GUID used for tracking the operation's execution."
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"sourcekey": {
"type": "string",
"description": "The source key."
}
},
"required": [
"PCID",
"X-Correlation-Id",
"us-client-id",
"sourcekey"
]
}
ukg-payroll_retrieve_employee_pay_details_report_v1
Retrieve finalized pay history details from UKG Pro (v1). This includes earnings, deductions, and tax data. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
us-client-id | string | Yes | — | The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code. |
accruals | object[] | No | — | The accruals value |
addressline1 | string | No | — | Employee address line 1. |
addressline2 | string | No | — | Employee address line 2. |
city | string | No | — | Employee city. |
companyaddresscity | string | No | — | Component company city. |
companyaddresscountry | string | No | — | Component company country. |
companyaddresscounty | string | No | — | Component company county. |
companyaddressline1 | string | No | — | Component company address line 1. |
companyaddressline2 | string | No | — | Component company address line 2. |
companyaddresspostalcode | string | No | — | Component company postal code. |
companyaddressstateorprovince | string | No | — | Component company state or province |
companyname | string | No | — | Component company name. |
companyphone | string | No | — | Component company phone number. |
companyphoneext | string | No | — | Component company phone extention. |
country | string | No | — | The country value |
deductions | object[] | No | — | The deductions value |
deductionscurrent | number | No | — | Total deductions in current pay statement. |
document | string | No | — | The document value |
earnings | object[] | No | — | The earnings value |
employeeidentifier | object | No | — | The employeeidentifier value |
employeenumber | string | No | — | Employee number. |
employeeStatus | number | No | — | Employee status code. “A” = Active, “L” = Leave of Absence (LOA) “O” = On Strike “R” Released/Laid Off “S” = Suspended “T” = Terminated |
federaladditionalamountWithheld | number | No | — | The amount of money an employee requests to their employer to withhold from your paycheck to pay the Internal Revenue Service (IRS) for federal income taxes beyond the normal amount. |
federalallowancesclaimed | integer | No | — | The number of federal allowances claimed. |
fullname | string | No | — | The employee’s full name. |
grosswagescurrent | number | No | — | The total wages on current pay statement. |
job | string | No | — | The employee’s job. |
location | string | No | — | The employee’s work location. |
netpay | object[] | No | — | The netpay value |
netpaycurrent | number | No | — | The netpaycurrent value |
orglevel1 | string | No | — | Customer configured org level 1. |
orglevel2 | string | No | — | Customer configured org level 2. |
orglevel3 | string | No | — | Customer configured org level 3. |
orglevel4 | string | No | — | Customer configured org level 4. |
paydate | string | No | — | The pay date for the pay statement. |
paygroup | string | No | — | Pay group code for the pay statement. |
payidentifier | string | No | — | GenNumber for the pay statement. |
payperiodfrequency | string | No | — | Pay frequency (for example: monthly, weekly, bi-weekly, etc.). |
payrate | number | No | — | Pay rate for the employee. |
periodenddate | string | No | — | End date for the pay period. |
periodstartdate | string | No | — | Start date for the pay period. |
postalcode | string | No | — | The postalcode value |
residentstateallowancesclaimed | integer | No | — | The number of state allowances claimed. |
ssn | string | No | — | The employee’s social security number. |
stateorprovince | string | No | — | State or Province |
taxes | object[] | No | — | The taxes value |
taxescurrent | number | No | — | Total taxes in current pay statement. |
workstateallowancesclaimed | integer | No | — | The workstateallowancesclaimed value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"us-client-id": {
"type": "string",
"description": "The Pro Customer primary company code which is unique to each Pro HR Tenant and can be found by navigating to System Configuration > Company Setup and referring to the value for Primary Company Code."
},
"accruals": {
"type": "array",
"items": {
"type": "object",
"properties": {
"amountcurrent": {
"type": "number",
"format": "float",
"description": "The amountcurrent value"
},
"amounttype": {
"type": "string",
"description": "The amounttype value"
},
"balance": {
"type": "number",
"format": "float",
"description": "The balance value"
},
"plancode": {
"type": "string",
"description": "The plancode value"
},
"plandescription": {
"type": "string",
"description": "The plandescription value"
}
}
},
"description": "The accruals value"
},
"addressline1": {
"type": "string",
"description": "Employee address line 1."
},
"addressline2": {
"type": "string",
"description": "Employee address line 2."
},
"city": {
"type": "string",
"description": "Employee city."
},
"companyaddresscity": {
"type": "string",
"description": "Component company city."
},
"companyaddresscountry": {
"type": "string",
"description": "Component company country."
},
"companyaddresscounty": {
"type": "string",
"description": "Component company county."
},
"companyaddressline1": {
"type": "string",
"description": "Component company address line 1."
},
"companyaddressline2": {
"type": "string",
"description": "Component company address line 2."
},
"companyaddresspostalcode": {
"type": "string",
"description": "Component company postal code."
},
"companyaddressstateorprovince": {
"type": "string",
"description": "Component company state or province"
},
"companyname": {
"type": "string",
"description": "Component company name."
},
"companyphone": {
"type": "string",
"description": "Component company phone number."
},
"companyphoneext": {
"type": "string",
"description": "Component company phone extention."
},
"country": {
"type": "string",
"description": "The country value"
},
"deductions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"basisamount": {
"type": "number",
"format": "float",
"description": "The basisamount value"
},
"deductioncode": {
"type": "string",
"description": "The deductioncode value"
},
"deductiondescription": {
"type": "string",
"description": "The deductiondescription value"
},
"employeeamount": {
"type": "number",
"format": "float",
"description": "The employeeamount value"
},
"employeeamountytd": {
"type": "number",
"format": "float",
"description": "The employeeamountytd value"
},
"employeramount": {
"type": "number",
"format": "float",
"description": "The employeramount value"
},
"employeramountytd": {
"type": "number",
"format": "float",
"description": "The employeramountytd value"
},
"pretax": {
"type": "boolean",
"description": "The pretax value"
}
}
},
"description": "The deductions value"
},
"deductionscurrent": {
"type": "number",
"description": "Total deductions in current pay statement."
},
"document": {
"type": "string",
"description": "The document value"
},
"earnings": {
"type": "array",
"items": {
"type": "object",
"properties": {
"amount": {
"type": "number",
"format": "float",
"description": "The amount value"
},
"amountytd": {
"type": "number",
"format": "float",
"description": "The amountytd value"
},
"hours": {
"type": "number",
"format": "float",
"description": "The hours value"
},
"paycode": {
"type": "string",
"description": "The paycode value"
},
"paydescription": {
"type": "string",
"description": "The paydescription value"
},
"payrate": {
"type": "number",
"format": "float",
"description": "The payrate value"
},
"periodend": {
"type": "string",
"format": "date-time",
"description": "The periodend value"
},
"periodstart": {
"type": "string",
"format": "date-time",
"description": "The periodstart value"
},
"piececount": {
"type": "number",
"format": "float",
"description": "The piececount value"
},
"piecepayrate": {
"type": "number",
"format": "float",
"description": "The piecepayrate value"
}
}
},
"description": "The earnings value"
},
"employeeidentifier": {
"type": "object",
"description": "The employeeidentifier value",
"properties": {
"identificationtype": {
"type": "string",
"description": "The employee identification type."
},
"companyidentifier": {
"type": "string",
"description": "The employee company identifier."
},
"employeeidentifier": {
"type": "string",
"description": "The employee identifier."
}
}
},
"employeenumber": {
"type": "string",
"description": "Employee number."
},
"employeeStatus": {
"type": "number",
"description": "Employee status code. “A” = Active, “L” = Leave of Absence (LOA) “O” = On Strike “R” Released/Laid Off “S” = Suspended “T” = Terminated"
},
"federaladditionalamountWithheld": {
"type": "number",
"description": "The amount of money an employee requests to their employer to withhold from your paycheck to pay the Internal Revenue Service (IRS) for federal income taxes beyond the normal amount."
},
"federalallowancesclaimed": {
"type": "integer",
"description": "The number of federal allowances claimed."
},
"fullname": {
"type": "string",
"description": "The employee's full name."
},
"grosswagescurrent": {
"type": "number",
"description": "The total wages on current pay statement."
},
"job": {
"type": "string",
"description": "The employee's job."
},
"location": {
"type": "string",
"description": "The employee's work location."
},
"netpay": {
"type": "array",
"items": {
"type": "object",
"properties": {
"accountnumber": {
"type": "string",
"description": "The bank account number."
},
"accounttype": {
"type": "string",
"description": "The bank account type."
},
"amount": {
"type": "string",
"description": "The net pay amount."
}
}
},
"description": "The netpay value"
},
"netpaycurrent": {
"type": "number",
"description": "The netpaycurrent value"
},
"orglevel1": {
"type": "string",
"description": "Customer configured org level 1."
},
"orglevel2": {
"type": "string",
"description": "Customer configured org level 2."
},
"orglevel3": {
"type": "string",
"description": "Customer configured org level 3."
},
"orglevel4": {
"type": "string",
"description": "Customer configured org level 4."
},
"paydate": {
"type": "string",
"description": "The pay date for the pay statement."
},
"paygroup": {
"type": "string",
"description": "Pay group code for the pay statement."
},
"payidentifier": {
"type": "string",
"description": "GenNumber for the pay statement."
},
"payperiodfrequency": {
"type": "string",
"description": "Pay frequency (for example: monthly, weekly, bi-weekly, etc.)."
},
"payrate": {
"type": "number",
"description": "Pay rate for the employee."
},
"periodenddate": {
"type": "string",
"description": "End date for the pay period."
},
"periodstartdate": {
"type": "string",
"description": "Start date for the pay period."
},
"postalcode": {
"type": "string",
"description": "The postalcode value"
},
"residentstateallowancesclaimed": {
"type": "integer",
"description": "The number of state allowances claimed."
},
"ssn": {
"type": "string",
"description": "The employee's social security number."
},
"stateorprovince": {
"type": "string",
"description": "State or Province"
},
"taxes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"amount": {
"type": "string",
"description": "The amount for the specific tax code in the current pay statement."
},
"amountytd": {
"type": "string",
"description": "The year to day amount for the tax code."
},
"basisamount": {
"type": "string",
"description": "The total amount of money an employee earns before taxes and deductions are taken out."
},
"taxdescription": {
"type": "string",
"description": "Description for this specific tax code."
},
"taxcode": {
"type": "string",
"description": "The tax code."
},
"isEmployerTax": {
"type": "boolean",
"description": "A boolean that indicates if the tax is an employer tax."
}
}
},
"description": "The taxes value"
},
"taxescurrent": {
"type": "number",
"description": "Total taxes in current pay statement."
},
"workstateallowancesclaimed": {
"type": "integer",
"description": "The workstateallowancesclaimed value"
}
},
"required": [
"PCID",
"us-client-id"
]
}

